Host Graphics Manager Retrieve Vgpu Device Info

Host Graphics Manager Retrieve Vgpu Device Info

Since: vSphere API Release 7.0.3.0

Required privileges: System.Read

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostGraphicsManager/{moId}/RetrieveVgpuDeviceInfo
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostGraphicsManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "name": "string",
        "configurationTag": [
            "string"
        ],
        "deviceName": "string",
        "deviceVendorId": 0,
        "maxFbSizeInGib": 0,
        "timeSlicedCapable": false,
        "migCapable": false,
        "computeProfileCapable": false,
        "quadroProfileCapable": false
    }
]
array of object
Optional

Description of PCI vGPU device and its capabilities.

Since: vSphere API Release 7.0.3.0


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/HostGraphicsManager/{moId}/RetrieveVgpuDeviceInfo